<div>
    <h2>
        <span jhiTranslate="mpmApp.unionBBK.home.title">Union BBKS</span>
        <button class="btn btn-primary float-right jh-create-entity create-union-bbk" [routerLink]="['/', { outlets: { popup: ['union-bbk-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.unionBBK.home.createLabel">
            Create new Union BBK
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.unionBBK.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="unionBBKS">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="no_bbk"><span jhiTranslate="mpmApp.unionBBK.no_bbk">No Bbk</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_bbk"><span jhiTranslate="mpmApp.unionBBK.tgl_bbk">Tgl Bbk</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="iduser"><span jhiTranslate="mpmApp.unionBBK.iduser">Iduser</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="ket"><span jhiTranslate="mpmApp.unionBBK.ket">Ket</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="div"><span jhiTranslate="mpmApp.unionBBK.div">Div</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let unionBBK of unionBBKS ;trackBy: trackId">
                <td><a [routerLink]="['../union-bbk', unionBBK.id ]">{{unionBBK.id}}</a></td>
                <td>{{unionBBK.no_bbk}}</td>
                <td>{{unionBBK.tgl_bbk | date:'medium'}}</td>
                <td>{{unionBBK.iduser}}</td>
                <td>{{unionBBK.ket}}</td>
                <td>{{unionBBK.div}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../union-bbk', unionBBK.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'union-bbk/'+ unionBBK.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'union-bbk/'+ unionBBK.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="unionBBKS && unionBBKS.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
